| Version: 3.3.1

Public Member Functions | List of all members
wxAuiToolBarArt Class Referenceabstract
Class List by Category » Window Docking (wxAUI)

`#include <wx/aui/auibar.h>`

Inheritance diagram for wxAuiToolBarArt:
[legend]

## Detailed Description

wxAuiToolBarArt is part of the wxAUI class framework.

See also wxAuiToolBar and wxAUI Overview.

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiToolBarArt ()
virtual wxAuiToolBarArt * | Clone ()=0
virtual void | SetFlags (unsigned int flags)=0
virtual unsigned int | GetFlags ()=0
virtual void | SetFont (const wxFont &font)=0
virtual wxFont | GetFont ()=0
virtual void | SetTextOrientation (int orientation)=0
virtual int | GetTextOrientation ()=0
virtual void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawPlainBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawDropDownButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawControlLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawSeparator (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawGripper (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawOverflowButton (wxDC &dc, wxWindow *wnd, const wxRect &rect, int state)=0
virtual wxSize | GetLabelSize (wxReadOnlyDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)=0
| Return the size of the label for the given item. More...
virtual wxSize | GetToolSize (wxReadOnlyDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)=0
| Return the size of the given item. More...
virtual int | GetElementSizeForWindow (int elementId, const wxWindow *window)
| Get the element size scaled by the DPI of the given window. More...
virtual int | GetElementSize (int elementId)=0
| Returns the size of the given element in DIPs. More...
virtual void | SetElementSize (int elementId, int size)=0
| Sets the size of the given element in DIPs. More...
virtual int | ShowDropDown (wxWindow *wnd, const wxAuiToolBarItemArray &items)=0

## Constructor & Destructor Documentation

## ◆ wxAuiToolBarArt()

wxAuiToolBarArt::wxAuiToolBarArt | ( |  | ) |

## Member Function Documentation

## ◆ Clone()

virtual wxAuiToolBarArt* wxAuiToolBarArt::Clone | ( |  | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawBackground()

virtual void wxAuiToolBarArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawButton()

virtual void wxAuiToolBarArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawControlLabel()

virtual void wxAuiToolBarArt::DrawControlLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawDropDownButton()

virtual void wxAuiToolBarArt::DrawDropDownButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawGripper()

virtual void wxAuiToolBarArt::DrawGripper | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawLabel()

virtual void wxAuiToolBarArt::DrawLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawOverflowButton()

virtual void wxAuiToolBarArt::DrawOverflowButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect,
|  | int | state
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawPlainBackground()

virtual void wxAuiToolBarArt::DrawPlainBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawSeparator()

virtual void wxAuiToolBarArt::DrawSeparator | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetElementSize()

virtual int wxAuiToolBarArt::GetElementSize | ( | int | elementId | ) |
| pure virtual

Returns the size of the given element in DIPs.

This function is typically more convenient to override, as it can just return the same value as was passed to SetElementSize(), but it shouldn't usually be called, use GetElementSizeForWindow() instead.

Parameters

  elementId | One of wxAuiToolBarArtSetting elements.

Returns
  The size of the element in DIPs.

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetElementSizeForWindow()

virtual int wxAuiToolBarArt::GetElementSizeForWindow | ( | int | elementId,
|  | const wxWindow * | window
| ) |  |
| virtual

Get the element size scaled by the DPI of the given window.

This function should be used to get the size of the element in pixels.

The default version delegates to GetElementSize(), override this function if a different behaviour (e.g. to use some smarter algorithm for scaling instead of just multiplying by the DPI factor) is needed.

Parameters

  elementId | One of wxAuiToolBarArtSetting elements.
  window | A valid window, typically wxAuiToolBar itself.

Returns
  The size of the element in pixels.

See also
  SetElementSize()

Since
  3.3.0

## ◆ GetFlags()

virtual unsigned int wxAuiToolBarArt::GetFlags | ( |  | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetFont()

virtual wxFont wxAuiToolBarArt::GetFont | ( |  | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetLabelSize()

virtual wxSize wxAuiToolBarArt::GetLabelSize | ( | wxReadOnlyDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item
| ) |  |
| pure virtual

Return the size of the label for the given item.

Note that the type of dc was wxDC until wxWidgets 3.3.0, where it was changed to wxReadOnlyDC as this function doesn't modify the DC contents.

## ◆ GetTextOrientation()

virtual int wxAuiToolBarArt::GetTextOrientation | ( |  | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetToolSize()

virtual wxSize wxAuiToolBarArt::GetToolSize | ( | wxReadOnlyDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item
| ) |  |
| pure virtual

Return the size of the given item.

Note that the type of dc was wxDC until wxWidgets 3.3.0, where it was changed to wxReadOnlyDC as this function doesn't modify the DC contents.

## ◆ SetElementSize()

virtual void wxAuiToolBarArt::SetElementSize | ( | int | elementId,
|  | int | size
| ) |  |
| pure virtual

Sets the size of the given element in DIPs.

Note that this function takes the size in DPI-independent pixels and this size will be scaled by the factor depending on the DPI being actually used by GetElementSizeForWindow(). In particular, do not use wxWindow::FromDIP() for the size argument passed to this function.

Parameters

  elementId | One of wxAuiToolBarArtSetting elements.
  size | The size of the element in DIPs.

Implemented in wxAuiDefaultToolBarArt.

## ◆ SetFlags()

virtual void wxAuiToolBarArt::SetFlags | ( | unsigned int | flags | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ SetFont()

virtual void wxAuiToolBarArt::SetFont | ( | const wxFont & | font | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ SetTextOrientation()

virtual void wxAuiToolBarArt::SetTextOrientation | ( | int | orientation | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ ShowDropDown()

virtual int wxAuiToolBarArt::ShowDropDown | ( | wxWindow * | wnd,
|  | const wxAuiToolBarItemArray & | items
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.